Redirects produce non-obvious search results
Closed, ResolvedPublic5 Story Points

Description

A.K.A "The Minnesota bread problem"

When searching for the term 'bread' on wikipedia.org, the second search-suggestion result is 'Minnesota'. This is not a
search anomaly. There is a redirect from the term "Bread and butter state" to "Minnesota". The redirect matches the
search term 'bread' and therefore the article 'Minnesota' appears as a search result.

Given this explanation, the result 'Minnesota' for the search term 'bread' actually makes sense. However, nobody knows
about the redirect. The words 'Bread and butter state' are not displayed anywhere for the user to see, leading to
confusion at to why that result is there.

I propose that, for search-suggestions that are there because of a redirect, we expose the redirect as a subtitle of the
result, so that users can see why a seemingly unrelated result appears in their search suggestions. The search result
should read like this:
————
Minnesota
Bread and butter state
————

The redirect is exposed in the API query we use, so displaying it to the user shouldn't be a problem.

...
    "redirects": [
      {
        "index": 6,
        "from": "Bread And Wine",
        "to": "Eucharist"
      },
      {
        "index": 2,
        "from": "Bread and butter state",
        "to": "Minnesota"
      }
    ],
...
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2016, 3:24 PM

The completion suggester "solves" these problems insofar as every example I know of so far where this happens will have different results returned after the completion suggester. The general problem, of resolving redirects in search results and having it become unclear to the user what has happened, still exists. The completion suggester goes a long way towards solving this problem by detecting typos and not relying on redirects, but the core problem remains in some, albeit fewer, cases.

The recently released update to the iOS app addresses this the way that @Jdrewniak suggests; they omit the Wikidata description from such results, and display the redirect to the user in its place (see screenshot below), which makes it much clearer what's happening.

debt triaged this task as High priority.Mar 14 2016, 11:38 PM
debt moved this task from Backlog to What's Next on the Discovery-Portal-Sprint board.

@Deskana it's like they read my mind. I even thought about prefixing the redirect with the phrase 'redirected from:' like the new iOS app does. However, because the portal doesn't have a scalable localization strategy in place yet, I felt it best to omit that phrase for now.

Jdrewniak set the point value for this task to 5.Mar 15 2016, 12:32 PM

I love it when problems (mostly) fix themselves :D

@Deskana +100 for the completion suggester.

Restricted Application added a project: Discovery. · View Herald TranscriptMar 23 2016, 8:04 PM
debt closed this task as Resolved.Apr 7 2016, 3:12 PM

this is resolved already with the update to the new completion sugggestor - no work to be done here by the Portal team.